import React, {Component} from "react";
import async from "async";
import PropTypes from "prop-types";
import {connect} from "react-redux";
import {NavLink} from "react-router-dom";
import {translate} from "react-i18next";

@translate(["privacy"], {wait: true})
export default class Privacy extends Component {
	static propTypes = {
		t: PropTypes.func,
	};

	static defaultProps = {
		t: () => {
		},
	};

	render() {
		const {t} = this.props;

		return (
			<main id="privacy">
				<h1>{t("privacy:title")}</h1>
				<h2>Last Updated: January 25, 2016</h2>

				<h3>1. Introduction</h3>
				<p>Musare.com respects your privacy and the security of your personal information, and we want to do as
				much as we can to protect it. Because of this, we have created this Privacy Policy to govern how we deal
				with your personal information. Since our Site is built off of Content that you provide, including
				shared information from third party sites, it is important that you read and understand their
				information sharing policies as well. Please check back often, as we will update this Privacy Policy as
					we grow.</p>

				<h3>2. Personal Information We Collect</h3>
				<p>In order for you to sign up for our service, we may ask for personal information from you including
					your name, e-mail address, mailing address, phone number, photo, username from other social media
					sites, gender, date of birth, or other relevant information. In addition, we utilize third party
					API’s like GitHub Authentication, and other API’s that allow you to transfer your profile
					information from those Sites to ours depending on your settings on those Sites. We are not
					responsible for any information that does not transfer or if any information is inaccurate.</p>

				<p>Your use of any of the video or chat features may be recorded or logged by our servers. We may use
					this data to improve our Site or Platform, or to determine how best to provide marketing
					opportunities to you.</p>

				<p>We use the above referenced information to contact you regarding your account, assist in customer
					service and support, and to improve our Site and the musare.com platform. We also use the
					information we collect to send periodic communications to you regarding updates to our Site, new
					features, and marketing opportunities that we think you may find interesting.</p>

				<p>We may send you periodic emails that concern updates or features. We make sure to comply with
					CAN-SPAM Act of 2003, 15 U.S.C. 7701 whenever we send you these goodies. If you feel that you are
					receiving unwanted messages from us (which we hope isn’t the case!) then please use the unsubscribe
					button or email us at musaremusic@gmail.com to remove yourself from our list. Please allow for up to
					ten (10) business days to process the removal.</p>

				<h3>3. Non-Personal Information</h3>
				<p>We may collect information about you that we consider to be less sensitive. When you access our
					website, we may collect such things as your IP address, browser, operating system, and other
					information that helps us know about the general nature of our visitors. We use this information to
					improve our Site and the musare.com platform.</p>

				<h3>4. Cookies</h3>
				<p>We use tracking cookies to distinguish you from other users to help prevent one user from unwittingly
					logging into another user’s account on the same computer or network. In conjunction with third party
					API’s, we also allow you to login using your credentials on those third party sites. These Sites may
					use cookies to track your web browsing, and have separate privacy policies that you must read. In
					addition, any time you share Content with others those third party Sites may collect information
					about people who view or share that Content. You must also read their privacy policies.</p>

				<p>We also may use tracking cookies to help ourselves or third party advertisers increase the
					effectiveness and quality of, and interest in, our marketing programs, or for other advertising or
					marketing purposes.</p>

				<p>Any advertisements served by Google, Inc., and affiliated companies may be controlled using cookies.
					These cookies allow Google to display ads based on your visits to this site and other sites that use
					Google advertising services. Learn how to opt out of Google’s cookie usage. As mentioned above, any
					tracking done by Google through cookies and other mechanisms is subject to Google’s own privacy
					policies.</p>

				<p>Your use of the Site may require that you have cookies turned on, depending on your login
					preferences.</p>

				<h3>5. User Content</h3>
				<p>We may allow you to post Content to our website, including videos and music. This content, once
					posted, is available for anyone to see and you are granting us the limited license for our use in
					accordance with our Terms of Service. As such, you must make sure you do not post anything that you
					do not have the rights to distribute. Please engage your brain when posting content.</p>

				<h3>6. Third Party Sites</h3>
				<p>Since our Site is built off of Content and sharing, you can be sure that you will encounter links to
					third party sites or Content that is being displayed from a third party site. Anytime you encounter
					a link to a website outside of musare.com, you should know that we have no control over that Site.
					We recommend that you consult those websites privacy policies, terms of service, and other similar
					documents when using them.</p>

				<p>You may also have the ability to interface, through the use of APIs, with third party websites such
					as social websites like Facebook, GitHub and Twitter. Be advised that we cannot be responsible for
					any breaches of privacy that may arise from the use of these third party websites.</p>

				<h3>7. Access to Information and Data Storage</h3>
				<p>We may host data with third parties and allow third parties to access, maintain, or otherwise use
					your information for purposes that we deem conducive to improving our business and service. We will
					strive to always deal with reputable providers, but we cannot make any guarantees. As such, you
					hereby agree that we are not liable for any privacy breaches that may occur as a result of the
					actions of third parties. In addition, how you interact with our Site may be shared with the third
					party service that you used to login, which means you are also storing information on their servers,
					which is governed by their own agreements.</p>

				<h3>8. Law Enforcement</h3>
				<p>We may disclose your information to a third party where we believe, in good faith that we are
					required to for legal purposes. The disclosure may be due to a criminal investigation, or a civil
					subpoena. If we receive such a request we may, but are not required to, notify you of such request
					and give you an opportunity to respond.</p>

				<h3>9. Children's Online Privacy Protection Act</h3>
				<p>We do not allow users on our website who are under the age of thirteen years old. If you become aware
					of such a user, please notify us immediately. If you are reported as being in violation of our age
					policy, we may freeze your account and require that you submit satisfactory proof of age before you
					may continue using our service.</p>

				<h3>10. Amendments</h3>
				<p>We may amend this Privacy Policy under the same conditions as our Terms of Service. Your
					responsibility to keep yourself updated as to changes to this Privacy Policy is the same as in our
					“Amendments” section in our Terms of Service.</p>

				<h3>11. Users from outside the United States</h3>
				<p>We may have users who are from outside the United States. If you are, you are acknowledging that your
					information is being transferred from your country to ours. To the extent we are required, we
					maintain our Site and information collection practices in a way that conforms with most laws. If you
					are from a jurisdiction who's information collection practices differ from ours, please notify us so
					that we may take necessary action. This may include terminating your account and deleting your
					information. We are committed to resolving those issues, so if you have any questions about how we
					collect or use your information you may email us at musaremusic@gmail.com.</p>

				<h3>12. Deactivating your account</h3>
				<p>You may deactivate your account at any time by accessing your account settings, or send us a mail at
					musaremusic@gmail.com. When submitting your request, please let us know what led you to deactivate
					your account. Your feedback is greatly appreciated, and will help us to better accommodate members
					of the community.</p>
			</main>
		);
	}
}
